package com.foresee.KnowledgeBase.SynchronizeData.zsdy.pull;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

import com.foresee.KnowledgeBase.SynchronizeData.zsdy.Constant;
import com.foresee.KnowledgeBase.utils.HttpCloseableClientUtil;

import cn.hutool.core.date.DateUtil;
import cn.hutool.crypto.SmUtil;

/**
 * 拉取数据
 */
public class PullData {

	private static String getSignParams() {
		String ts = DateUtil.date().getTime() + "";
		String signStr = StringUtils.join("appId=", Constant.appId, "&appKey=", Constant.appKey, "&ts=", ts, "&appSecret=", Constant.appSecret);
		signStr = SmUtil.sm3(signStr);
		return "appId="+Constant.appId+"&appKey="+Constant.appKey+"&appSecret="+Constant.appSecret+"&ts="+ts+"&sign="+signStr;
	}
	
	public static void main(String args[]) {
		String uriParams = getSignParams();
		String uri = Constant.host+Constant.idListUrl+"?"+uriParams;
		System.out.println("请求地址："+uri);
		Map<String,Object> datasParams = new HashMap<String,Object>();
		datasParams.put("startUpdateTime", "2024-03-03 00:00:00");
		datasParams.put("modelId", "fagui");
		Map<String,Object> params = new HashMap<String,Object>();
		params.put("params", datasParams);
		params.put("dataType", "cmsContent");
		String jsonString = HttpCloseableClientUtil.post(uri, params);
		System.out.println(jsonString);
	}
}
